import 'package:be_happy/core/result.dart';
import 'package:be_happy/domain/entities/scooter_order.dart';
import '../repositories/scooter_repository.dart';

class ResumeRideUsecase {
  final ScooterRepository repository;

  ResumeRideUsecase(this.repository);

  Future<Result<ScooterOrder>> call(int orderId) {
    return repository.resumeRide(orderId);
  }
}
